User group

  • GET
  • /workspaces
  • /:workspace
  • /groups
  • /:group_id

Shows details of an user group

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

group_idrequiredinteger
The ID of the group

Example: 123

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the group
namestring
The name of the group
descriptionstring
The description of the group
auto_assign_to_new_projectsboolean
Whether to automatically assign group members to new projects
allow_add_new_projectsboolean
Whether group members are allowed to add new projects
allow_add_new_domains_on_owner_behalfboolean
Whether group members are allowed to buy new domains on behalf of the workspace owner
auto_assign_permission_set_idinteger
The ID of the permission set to automatically assign to new project members

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/groups/:group_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/groups/123", "html_url": "https://app.buddy.works/my-workspace/-/group/123", "id": 123, "name": "developers", "description": "Development team members", "auto_assign_to_new_projects": true, "allow_add_new_projects": false, "allow_add_new_domains_on_owner_behalf": false, "auto_assign_permission_set_id": 1 }
STATUS
200 OK